Index: src/sas/qtgui/Perspectives/Invariant/InvariantPerspective.py
===================================================================
--- src/sas/qtgui/Perspectives/Invariant/InvariantPerspective.py	(revision 4992ff2626be19df7de9e5dfc0078b96bf47a75e)
+++ src/sas/qtgui/Perspectives/Invariant/InvariantPerspective.py	(revision f1f3e6a66c47bce134b59fe9f166fe14eac3a61d)
@@ -408,51 +526,117 @@
             self._high_extrapolate = toggle
             self.highQToggle(toggle)
-        
+
+    def checkQExtrapolatedData(self):
+        """
+        Match status of low or high-Q extrapolated data checkbox in
+        DataExplorer with low or high-Q extrapolation checkbox in invariant
+        panel
+        """
+        # name to search in DataExplorer
+        if 'Low' in str(self.sender().text()):
+            name = "Low-Q extrapolation"
+        if 'High' in str(self.sender().text()):
+            name = "High-Q extrapolation"
+
+        GuiUtils.updateModelItemStatus(self._manager.filesWidget.model,
+                                       self._path, name,
+                                       self.sender().checkState())
+
+    def updateFromGui(self):
+        """ Update model when new user inputs """
+        possible_senders = ['txtBackgd', 'txtContrast', 'txtPorodCst',
+                            'txtScale', 'txtPowerLowQ', 'txtPowerHighQ',
+                            'txtNptsLowQ', 'txtNptsHighQ']
+
+        related_widgets = [WIDGETS.W_BACKGROUND, WIDGETS.W_CONTRAST,
+                           WIDGETS.W_POROD_CST, WIDGETS.W_SCALE,
+                           WIDGETS.W_LOWQ_POWER_VALUE, WIDGETS.W_HIGHQ_POWER_VALUE,
+                           WIDGETS.W_NPTS_LOWQ, WIDGETS.W_NPTS_HIGHQ]
+
+        related_internal_values = [self._background, self._contrast,
+                                   self._porod, self._scale,
+                                   self._low_power_value,
+                                   self._high_power_value,
+                                   self._low_points, self._high_points]
+
+        item = QtGui.QStandardItem(self.sender().text())
+
+        index_elt = possible_senders.index(self.sender().objectName())
+
+        self.model.setItem(related_widgets[index_elt], item)
+
+        related_internal_values[index_elt] = float(self.sender().text())
+
+        # print possible_senders[index_elt], related_internal_values[index_elt]
+
+        self.mapper.toFirst()
+
     def lowGuinierAndPowerToggle(self, toggle):
         """
-        """
-        self._low_guinier = toggle
+        Guinier and Power radio buttons cannot be selected at the same time
+        If Power is selected, Fit and Fix radio buttons are visible and
+        Power line edit can be edited if Fix is selected
+        """
+        if self.sender().text() == 'Guinier':
+            self._low_guinier = toggle
+
+            toggle = not toggle
+            self.rbPowerLawLowQ.setChecked(toggle)
+
+            self.rbFitLowQ.toggled.connect(self.lowFitAndFixToggle)
+            self.rbFitLowQ.setVisible(toggle)
+            self.rbFixLowQ.setVisible(toggle)
+
+            self.txtPowerLowQ.setEnabled(toggle and (not self._low_fit))
+
+        else:
+            self._low_guinier = not toggle
+
+            self.rbGuinier.setChecked(not toggle)
+
+            self.rbFitLowQ.toggled.connect(self.lowFitAndFixToggle)
+            self.rbFitLowQ.setVisible(toggle)
+            self.rbFixLowQ.setVisible(toggle)
+
+            self.txtPowerLowQ.setEnabled(toggle and (not self._low_fit))
+
+    def lowFitAndFixToggle(self, toggle):
+        """ Fit and Fix radiobuttons cannot be selected at the same time """
+        self._low_fit = toggle
+
         toggle = not toggle
-        self.lineEdit_11.setEnabled(toggle)
-        self.radioButton_3.setEnabled(toggle)
-        self.radioButton_4.setEnabled(toggle)
-        self.lineEdit_11.setEnabled(toggle and (not self._low_fit))
-
-    def lowFitAndFixToggle(self, toggle):
-        """
-        """
-        self._low_fit = toggle
-        toggle = not toggle
-        self.lineEdit_11.setEnabled(toggle)
+        self.txtPowerLowQ.setEnabled(toggle)
 
     def hiFitAndFixToggle(self, toggle):
         """
-        """
-        self.lineEdit_13.setEnabled(toggle)
+        Enable editing of power exponent if Fix for high Q is checked
+        Disable otherwise
+        """
+        self.txtPowerHighQ.setEnabled(not toggle)
 
     def highQToggle(self, clicked):
-        """
-        Disable/enable High Q extrapolation
-        """
-        self.radioButton_7.setEnabled(clicked)
-        self.radioButton_8.setEnabled(clicked)
-        self.lineEdit_12.setEnabled(clicked)
-        self.lineEdit_13.setEnabled(clicked)
+        """ Disable/enable High Q extrapolation """
+        self.rbFitHighQ.setEnabled(clicked)
+        self.rbFixHighQ.setEnabled(clicked)
+        self.txtNptsHighQ.setEnabled(clicked)
+        self.txtPowerHighQ.setEnabled(clicked)
 
     def lowQToggle(self, clicked):
-        """
-        Disable/enable Low Q extrapolation
-        """
-        self.radioButton.setEnabled(clicked)
-        self.radioButton_2.setEnabled(clicked)
-        self.lineEdit_11.setEnabled(clicked and not self._low_fit)
-
+        """ Disable / enable Low Q extrapolation """
+        self.rbGuinier.setEnabled(clicked)
+        self.rbPowerLawLowQ.setEnabled(clicked)
+        self.txtNptsLowQ.setEnabled(clicked)
         # Enable subelements
-        self.radioButton_3.setEnabled(clicked and not self._low_guinier)
-        self.radioButton_4.setEnabled(clicked and not self._low_guinier)
-        self.lineEdit_10.setEnabled(clicked and not self._low_guinier)
+        self.rbFitLowQ.setVisible(self.rbPowerLawLowQ.isChecked())
+        self.rbFixLowQ.setVisible(self.rbPowerLawLowQ.isChecked())
+        self.rbFitLowQ.setEnabled(clicked)  # and not self._low_guinier)
+        self.rbFixLowQ.setEnabled(clicked)  # and not self._low_guinier)
+
+        self.txtPowerLowQ.setEnabled(clicked
+                                    and not self._low_guinier
+                                    and not self._low_fit)
 
     def setupModel(self):
-
+        """ """
         # filename
         item = QtGui.QStandardItem(self._path)
@@ -460,5 +644,4 @@
 
         # add Q parameters to the model
-        #qmin = min(self._data.x)
         qmin = 0.0
         item = QtGui.QStandardItem(str(qmin))
@@ -475,5 +658,11 @@
         item = QtGui.QStandardItem(str(self._scale))
         self.model.setItem(WIDGETS.W_SCALE, item)
-        
+        # leave line edit empty if Porod constant not defined
+        if self._porod != None:
+            item = QtGui.QStandardItem(str(self._porod))
+        else:
+            item = QtGui.QStandardItem(str(''))
+        self.model.setItem(WIDGETS.W_POROD_CST, item)
+
         # Dialog elements
         itemf = QtGui.QStandardItem("false")
@@ -482,7 +671,7 @@
         self.model.setItem(WIDGETS.W_ENABLE_LOWQ, itemf)
 
-        item = QtGui.QStandardItem(str(self._npoints_low))
+        item = QtGui.QStandardItem(str(NPOINTS_Q_INTERP))
         self.model.setItem(WIDGETS.W_NPTS_LOWQ, item)
-        item = QtGui.QStandardItem(str(self._npoints_high))
+        item = QtGui.QStandardItem(str(NPOINTS_Q_INTERP))
         self.model.setItem(WIDGETS.W_NPTS_HIGHQ, item)
 
@@ -492,12 +681,11 @@
         itemt = QtGui.QStandardItem("true")
         self.model.setItem(WIDGETS.W_LOWQ_FIT, itemt)
-        item = QtGui.QStandardItem(str(self._power_low))
+        item = QtGui.QStandardItem(str(DEFAULT_POWER_LOW))
         self.model.setItem(WIDGETS.W_LOWQ_POWER_VALUE, item)
 
         itemt = QtGui.QStandardItem("true")
         self.model.setItem(WIDGETS.W_HIGHQ_FIT, itemt)
-        item = QtGui.QStandardItem(str(self._power_low))
+        item = QtGui.QStandardItem(str(DEFAULT_POWER_LOW))
         self.model.setItem(WIDGETS.W_HIGHQ_POWER_VALUE, item)
-
 
     def setupMapper(self):
@@ -507,49 +695,57 @@
         self.mapper.setModel(self.model)
 
-        # Set up the view on the model for testing
-        # self.tableView.setModel(self.model)
-
         # Filename
-        self.mapper.addMapping(self.lineEdit, WIDGETS.W_FILENAME)
+        self.mapper.addMapping(self.txtName, WIDGETS.W_FILENAME)
+
         # Qmin/Qmax
-        self.mapper.addMapping(self.lineEdit_2, WIDGETS.W_QMIN)
-        self.mapper.addMapping(self.lineEdit_3, WIDGETS.W_QMAX)
+        self.mapper.addMapping(self.txtTotalQMin, WIDGETS.W_QMIN)
+        self.mapper.addMapping(self.txtTotalQMax, WIDGETS.W_QMAX)
 
         # Background
-        self.mapper.addMapping(self.lineEdit_4, WIDGETS.W_BACKGROUND)
+        self.mapper.addMapping(self.txtBackgd, WIDGETS.W_BACKGROUND)
+
         # Scale
-        self.mapper.addMapping(self.lineEdit_5, WIDGETS.W_SCALE)
+        self.mapper.addMapping(self.txtScale, WIDGETS.W_SCALE)
+
         # Contrast
-        self.mapper.addMapping(self.lineEdit_6, WIDGETS.W_CONTRAST)
+        self.mapper.addMapping(self.txtContrast, WIDGETS.W_CONTRAST)
+
+        # Porod constant
+        self.mapper.addMapping(self.txtPorodCst, WIDGETS.W_POROD_CST)
 
         # Lowq/Highq items
-        self.mapper.addMapping(self.checkBox, WIDGETS.W_ENABLE_LOWQ)
-        self.mapper.addMapping(self.checkBox_2, WIDGETS.W_ENABLE_HIGHQ)
-
-        self.mapper.addMapping(self.lineEdit_10, WIDGETS.W_NPTS_LOWQ)
-        self.mapper.addMapping(self.radioButton, WIDGETS.W_LOWQ_GUINIER)
-
-        self.mapper.addMapping(self.radioButton_3, WIDGETS.W_LOWQ_FIT)
-        self.mapper.addMapping(self.lineEdit_11, WIDGETS.W_LOWQ_POWER_VALUE)
-
-        self.mapper.addMapping(self.radioButton_7, WIDGETS.W_HIGHQ_FIT)
-        self.mapper.addMapping(self.lineEdit_13, WIDGETS.W_HIGHQ_POWER_VALUE)
+        self.mapper.addMapping(self.chkLowQ, WIDGETS.W_ENABLE_LOWQ)
+        self.mapper.addMapping(self.chkHighQ, WIDGETS.W_ENABLE_HIGHQ)
+
+        self.mapper.addMapping(self.txtNptsLowQ, WIDGETS.W_NPTS_LOWQ)
+        self.mapper.addMapping(self.rbGuinier, WIDGETS.W_LOWQ_GUINIER)
+        self.mapper.addMapping(self.rbFitLowQ, WIDGETS.W_LOWQ_FIT)
+        self.mapper.addMapping(self.txtPowerLowQ, WIDGETS.W_LOWQ_POWER_VALUE)
+
+        self.mapper.addMapping(self.txtNptsHighQ, WIDGETS.W_NPTS_HIGHQ)
+        self.mapper.addMapping(self.rbFitHighQ, WIDGETS.W_HIGHQ_FIT)
+        self.mapper.addMapping(self.txtPowerHighQ, WIDGETS.W_HIGHQ_POWER_VALUE)
     
         # Output
-        self.mapper.addMapping(self.lineEdit_14, WIDGETS.W_VOLUME_FRACTION)
-        self.mapper.addMapping(self.lineEdit_15, WIDGETS.W_VOLUME_FRACTION_ERR)
-        self.mapper.addMapping(self.lineEdit_16, WIDGETS.W_SPECIFIC_SURFACE)
-        self.mapper.addMapping(self.lineEdit_17, WIDGETS.W_SPECIFIC_SURFACE_ERR)
-        self.mapper.addMapping(self.lineEdit_19, WIDGETS.W_INVARIANT)
-        self.mapper.addMapping(self.lineEdit_18, WIDGETS.W_INVARIANT_ERR)
-
-        # FIXME DOESNT WORK WITH QT5
-        #self.mapper.toFirst()
-
-    def setData(self, data_item, is_batch=False):
+        self.mapper.addMapping(self.txtVolFract, WIDGETS.W_VOLUME_FRACTION)
+        self.mapper.addMapping(self.txtVolFractErr, WIDGETS.W_VOLUME_FRACTION_ERR)
+        self.mapper.addMapping(self.txtSpecSurf, WIDGETS.W_SPECIFIC_SURFACE)
+        self.mapper.addMapping(self.txtSpecSurfErr, WIDGETS.W_SPECIFIC_SURFACE_ERR)
+        self.mapper.addMapping(self.txtInvariantTot, WIDGETS.W_INVARIANT)
+        self.mapper.addMapping(self.txtInvariantTotErr, WIDGETS.W_INVARIANT_ERR)
+
+        self.mapper.toFirst()
+
+    def setData(self, data_item=None, is_batch=False):
         """
         Obtain a QStandardItem object and dissect it to get Data1D/2D
         Pass it over to the calculator
         """
+        assert data_item is not None
+
+        if self.txtName.text() == data_item[0].text():
+            logging.info('This file is already loaded in Invariant panel.')
+            return
+
         if not isinstance(data_item, list):
             msg = "Incorrect type passed to the Invariant Perspective"
@@ -560,84 +756,46 @@
             raise AttributeError(msg)
 
+        # only 1 file can be loaded
         self._model_item = data_item[0]
 
         # Extract data on 1st child - this is the Data1D/2D component
         data = GuiUtils.dataFromItem(self._model_item)
-        self.model.item(WIDGETS.W_FILENAME).setData(self._model_item.text())
-
-        ##### DEBUG ####
-        # set data in the debug tree view window
-        self.treeView.setModel(self.model)
-
-        self.calculate(data_list=[data])
-        
-    def calculate(self, data_list=None):
-        """
-        receive a list of data and compute invariant
-
-        TODO: pass warnings/messages to log
-        """
-        msg = ""
-        data = None
-        if data_list is None:
-            data_list = []
-        if len(data_list) >= 1:
-            if len(data_list) == 1:
-                data = data_list[0]
-            else:
-                data_1d_list = []
-                data_2d_list = []
-                error_msg = ""
-                # separate data into data1d and data2d list
-                for data in data_list:
-                    if data is not None:
-                        if issubclass(data.__class__, Data1D):
-                            data_1d_list.append(data)
-                        else:
-                            error_msg += " %s  type %s \n" % (str(data.name),
-                                                              str(data.__class__.__name__))
-                            data_2d_list.append(data)
-                if len(data_2d_list) > 0:
-                    msg = "Invariant does not support the following data types:\n"
-                    msg += error_msg
-                if len(data_1d_list) == 0:
-                    # remake this as a qt event
-                    #wx.PostEvent(self.parent, StatusEvent(status=msg, info='error'))
-                    return
-
-                # TODO: add msgbox for data choice
-                #msg += "Invariant panel does not allow multiple data!\n"
-                #msg += "Please select one.\n"
-                #if len(data_list) > 1:
-                    #from invariant_widgets import DataDialog
-                    #dlg = DataDialog(data_list=data_1d_list, text=msg)
-                    #if dlg.ShowModal() == wx.ID_OK:
-                    #    data = dlg.get_data()
-                    #else:
-                    #    data = None
-                    #dlg.Destroy()
-
-            if data is None:
-                msg += "invariant receives no data. \n"
-                #wx.PostEvent(self.parent, StatusEvent(status=msg, info='error'))
-                return
-            if not issubclass(data.__class__, Data1D):
-                msg += "invariant cannot be computed for data of "
-                msg += "type %s\n" % (data.__class__.__name__)
-                #wx.PostEvent(self.parent, StatusEvent(status=msg, info='error'))
-                return
-            else:
-                #wx.PostEvent(self.parent, NewPlotEvent(plot=data, title=data.title))
-                try:
-                    self._data = data
-                    self._path = "unique path"
-                    self.calculateInvariant()
-                except:
-                    msg = "Invariant Set_data: " + str(sys.exc_info()[1])
-                    #wx.PostEvent(self.parent, StatusEvent(status=msg, info="error"))
-        else:
-            msg = "invariant cannot be computed for data of "
-            msg += "type %s" % (data.__class__.__name__)
-            #wx.PostEvent(self.parent, StatusEvent(status=msg, info='error'))
+        self.model.item(WIDGETS.W_FILENAME).setData(QtCore.QVariant(self._model_item.text()))
+        # update GUI and model with info from loaded data
+        self.updateGuiFromFile(data=data)
+
+    def updateGuiFromFile(self, data=None):
+        """
+        update display in GUI and plot
+        """
+        self._data = data
+
+        # plot loaded file
+        if not isinstance(self._data, Data1D):
+            msg = "Error(s) occurred: Invariant cannot be computed with 2D data."
+            raise AttributeError(msg)
+
+        try:
+            filename = data.filename
+        except:
+            msg = 'No filename'
+            raise ValueError(msg)
+        try:
+            qmin = min(self._data.x)
+            qmax = max(self._data.x)
+        except:
+            msg = "Unable to find q min/max of \n data named %s" % \
+                  data.filename
+            raise ValueError(msg)
+
+        # update model with input form files: filename, qmin, qmax
+        self.model.item(WIDGETS.W_FILENAME).setText(filename)
+        self.model.item(WIDGETS.W_QMIN).setText(str(qmin))
+        self.model.item(WIDGETS.W_QMAX).setText(str(qmax))
+        self._path = filename
+
+        # Calculate and add to GUI: volume fraction, invariant total,
+        # and specific surface if porod checked
+        self.calculateInvariant()
 
     def allowBatch(self):
Index: src/sas/qtgui/Perspectives/Invariant/InvariantUtils.py
===================================================================
--- src/sas/qtgui/Perspectives/Invariant/InvariantUtils.py	(revision b3e8629bf18b74f4214d6552e620fcbc4e73a28c)
+++ src/sas/qtgui/Perspectives/Invariant/InvariantUtils.py	(revision f1f3e6a66c47bce134b59fe9f166fe14eac3a61d)
@@ -3,24 +3,25 @@
     return type('Enum', (), enums)
 
-WIDGETS = enum( 'W_FILENAME',           #0
-                'W_QMIN',               #1
-                'W_QMAX',               #2
-                'W_BACKGROUND',         #3
-                'W_SCALE',              #4
-                'W_CONTRAST',           #5
-                'W_EX_QMIN',            #6
-                'W_EX_QMAX',            #7
-                'W_ENABLE_LOWQ',        #8
-                'W_ENABLE_HIGHQ',       #9
-                'W_NPTS_LOWQ',          #10
-                'W_NPTS_HIGHQ',         #11
-                'W_LOWQ_GUINIER',       #12
-                'W_LOWQ_POWER',         #13
-                'W_LOWQ_FIT',           #14
-                'W_LOWQ_FIX',           #15
-                'W_LOWQ_POWER_VALUE',   #16
-                'W_HIGHQ_FIT',          #17
-                'W_HIGHQ_FIX',          #18
-                'W_HIGHQ_POWER_VALUE',  #19
+WIDGETS = enum( 'W_FILENAME',
+                'W_QMIN',
+                'W_QMAX',
+                'W_BACKGROUND',
+                'W_SCALE',
+                'W_CONTRAST',
+                'W_POROD_CST',
+                'W_EX_QMIN',
+                'W_EX_QMAX',
+                'W_ENABLE_LOWQ',
+                'W_ENABLE_HIGHQ',
+                'W_NPTS_LOWQ',
+                'W_NPTS_HIGHQ',
+                'W_LOWQ_GUINIER',
+                'W_LOWQ_POWER',
+                'W_LOWQ_FIT',
+                'W_LOWQ_FIX',
+                'W_LOWQ_POWER_VALUE',
+                'W_HIGHQ_FIT',
+                'W_HIGHQ_FIX',
+                'W_HIGHQ_POWER_VALUE',
                 # results
                 'W_VOLUME_FRACTION',
Index: src/sas/qtgui/Perspectives/Invariant/UI/InvariantDetailsUI.ui
===================================================================
--- src/sas/qtgui/Perspectives/Invariant/UI/InvariantDetailsUI.ui	(revision 457d961a927e24e28718d1c1813be6b69130b5c1)
+++ src/sas/qtgui/Perspectives/Invariant/UI/InvariantDetailsUI.ui	(revision f1f3e6a66c47bce134b59fe9f166fe14eac3a61d)
@@ -7,7 +7,13 @@
     <x>0</x>
     <y>0</y>
-    <width>449</width>
+    <width>511</width>
     <height>458</height>
    </rect>
+  </property>
+  <property name="sizePolicy">
+   <sizepolicy hsizetype="Fixed" vsizetype="Fixed">
+    <horstretch>0</horstretch>
+    <verstretch>0</verstretch>
+   </sizepolicy>
   </property>
   <property name="windowTitle">
@@ -29,5 +35,5 @@
       </item>
       <item row="0" column="1">
-       <widget class="QProgressBar" name="progressBar">
+       <widget class="QProgressBar" name="progressBarLowQ">
         <property name="value">
          <number>24</number>
@@ -43,5 +49,5 @@
       </item>
       <item row="1" column="1">
-       <widget class="QProgressBar" name="progressBar_2">
+       <widget class="QProgressBar" name="progressBarData">
         <property name="value">
          <number>24</number>
@@ -57,5 +63,5 @@
       </item>
       <item row="2" column="1">
-       <widget class="QProgressBar" name="progressBar_3">
+       <widget class="QProgressBar" name="progressBarHighQ">
         <property name="value">
          <number>24</number>
@@ -80,5 +86,9 @@
       </item>
       <item row="0" column="1">
-       <widget class="QLineEdit" name="lineEdit"/>
+       <widget class="QLineEdit" name="txtQLowQ">
+        <property name="toolTip">
+         <string>Extrapolated invariant from low-Q range.</string>
+        </property>
+       </widget>
       </item>
       <item row="0" column="2">
@@ -90,11 +100,15 @@
       </item>
       <item row="0" column="3">
-       <widget class="QLineEdit" name="lineEdit_2"/>
+       <widget class="QLineEdit" name="txtQLowQErr">
+        <property name="toolTip">
+         <string>Uncertainty on the invariant from low-Q range.</string>
+        </property>
+       </widget>
       </item>
       <item row="0" column="4">
-       <widget class="QLabel" name="label_3">
-        <property name="text">
-         <string>&lt;html&gt;&lt;head/&gt;&lt;body&gt;&lt;p&gt;[1/(cm*Ã
-&lt;span style=&quot; vertical-align:super;&quot;&gt;3&lt;/span&gt;)]&lt;/p&gt;&lt;/body&gt;&lt;/html&gt;</string>
+       <widget class="QLabel" name="lblQLowQUnits">
+        <property name="text">
+         <string>&lt;html&gt;&lt;head/&gt;&lt;body&gt;&lt;p&gt;(cm Ã
+&lt;span style=&quot; vertical-align:super;&quot;&gt;3&lt;/span&gt;)&lt;span style=&quot; vertical-align:super;&quot;&gt;-1&lt;/span&gt;&lt;/p&gt;&lt;/body&gt;&lt;/html&gt;</string>
         </property>
        </widget>
@@ -108,5 +122,9 @@
       </item>
       <item row="1" column="1">
-       <widget class="QLineEdit" name="lineEdit_3"/>
+       <widget class="QLineEdit" name="txtQData">
+        <property name="toolTip">
+         <string>Invariant in the data set's Q range.</string>
+        </property>
+       </widget>
       </item>
       <item row="1" column="2">
@@ -118,11 +136,15 @@
       </item>
       <item row="1" column="3">
-       <widget class="QLineEdit" name="lineEdit_4"/>
+       <widget class="QLineEdit" name="txtQDataErr">
+        <property name="toolTip">
+         <string>Uncertainty on the invariant from data's range.</string>
+        </property>
+       </widget>
       </item>
       <item row="1" column="4">
-       <widget class="QLabel" name="label_4">
-        <property name="text">
-         <string>&lt;html&gt;&lt;head/&gt;&lt;body&gt;&lt;p&gt;[1/(cm*Ã
-&lt;span style=&quot; vertical-align:super;&quot;&gt;3&lt;/span&gt;)]&lt;/p&gt;&lt;/body&gt;&lt;/html&gt;</string>
+       <widget class="QLabel" name="lblQDataUnits">
+        <property name="text">
+         <string>&lt;html&gt;&lt;head/&gt;&lt;body&gt;&lt;p&gt;(cm Ã
+&lt;span style=&quot; vertical-align:super;&quot;&gt;3&lt;/span&gt;)&lt;span style=&quot; vertical-align:super;&quot;&gt;-1&lt;/span&gt;&lt;/p&gt;&lt;/body&gt;&lt;/html&gt;</string>
         </property>
        </widget>
@@ -136,5 +158,9 @@
       </item>
       <item row="2" column="1">
-       <widget class="QLineEdit" name="lineEdit_5"/>
+       <widget class="QLineEdit" name="txtQHighQ">
+        <property name="toolTip">
+         <string>Extrapolated invariant from high-Q range.</string>
+        </property>
+       </widget>
       </item>
       <item row="2" column="2">
@@ -146,11 +172,15 @@
       </item>
       <item row="2" column="3">
-       <widget class="QLineEdit" name="lineEdit_6"/>
+       <widget class="QLineEdit" name="txtQHighQErr">
+        <property name="toolTip">
+         <string>Uncertainty on the invariant from high-Q range.</string>
+        </property>
+       </widget>
       </item>
       <item row="2" column="4">
-       <widget class="QLabel" name="label_7">
-        <property name="text">
-         <string>&lt;html&gt;&lt;head/&gt;&lt;body&gt;&lt;p&gt;[1/(cm*Ã
-&lt;span style=&quot; vertical-align:super;&quot;&gt;3&lt;/span&gt;)]&lt;/p&gt;&lt;/body&gt;&lt;/html&gt;</string>
+       <widget class="QLabel" name="lblQHighQUnits">
+        <property name="text">
+         <string>&lt;html&gt;&lt;head/&gt;&lt;body&gt;&lt;p&gt;(cm Ã
+&lt;span style=&quot; vertical-align:super;&quot;&gt;3&lt;/span&gt;)&lt;span style=&quot; vertical-align:super;&quot;&gt;-1&lt;/span&gt;&lt;/p&gt;&lt;/body&gt;&lt;/html&gt;</string>
         </property>
        </widget>
@@ -179,5 +209,5 @@
    </item>
    <item row="3" column="0">
-    <widget class="QDialogButtonBox" name="buttonBox">
+    <widget class="QDialogButtonBox" name="cmdOK">
      <property name="orientation">
       <enum>Qt::Horizontal</enum>
@@ -193,5 +223,5 @@
  <connections>
   <connection>
-   <sender>buttonBox</sender>
+   <sender>cmdOK</sender>
    <signal>accepted()</signal>
    <receiver>Dialog</receiver>
@@ -209,5 +239,5 @@
   </connection>
   <connection>
-   <sender>buttonBox</sender>
+   <sender>cmdOK</sender>
    <signal>rejected()</signal>
    <receiver>Dialog</receiver>
